<bugID>956452<Summary>Network monitor is janky on sites with a ton of requests</Summary><Description>Created attachment 8355709
screen shot of profile

For example, https://soundcloud.com/stream had 691 requests for me, and once all the requests started finishing and getting responses, we started janking pretty hard. I'm pretty sure this is the drawing of the waterfall graph. Is it possible to do this in a |DevToolsUtils.yieldingEach| loop or move a bunch of processing to a worker?

(Profile was too big to upload, but I have a screenshot.)</Description></bugID>